Subject: [lp-wan] FWD: Draft SCHC for CoAP -Title

From: Ana Minaburo <[email-masked]>
Date: Thu, 3 Jun 2021 11:10:11 +0200

Dear Dominique, Carles, and Pascal, and all,

I take this discussion out from the RFC-Editor Subject, if not I will be
lost again.

We agree to eliminate the term LPWAN from the title during the interim
meeting, and I've answered the RFC-Editor with this option that I like:
Full-extended:
"Static Context Header Compression and Fragmentation (SCHC) for Constrained
Application Protocol (CoAP)"
Full-abbreviated:
"SCHC for CoAP"

I'm afraid I have to disagree with Dominique's proposition in two things.
First, starting with Compression, the title is ambiguous because it can be
interpreted as data compression and no header compression. Second, I'm not
sure SCHC is a framework, or neither it becomes one.

Dominique proposition: "Compression of the Constrained Application Protocol
(CoAP) using the Static Context Header Compression and fragmentation (SCHC)
framework"

Cheers,
Ana

---

>From: Pascal Thubert (pthubert) <[email-masked]>
>Date: Wed, Jun 2, 2021 at 11:14 AM
>Subject: RE: [AD] Re: AUTH48 [LB]: RFC 8824
<draft-ietf-lpwan-coap-static->context-hc-19.txt> NOW AVAILABLE
>To: [email-masked] <[email-masked]>, >
[email-masked] <[email-masked]>, Eric Vyncke (evyncke) <[email-masked]>
>Cc: [email-masked] <[email-masked]>, [email-masked]
><[email-masked]>, [email-masked]
><[email-masked]>
>
>
>Perfect!
>
>>From: Carles Gomez Montenegro <[email-masked]>
>>Date: Wed, Jun 2, 2021 at 11:02 AM
>>Subject: Re: [lp-wan] [AD] Re: AUTH48 [LB]: RFC 8824 <draft-ietf-lpwan-
>>coap-static-context-hc-19.txt> NOW AVAILABLE
>>To: <[email-masked]>
>>Cc: Pascal Thubert (pthubert) <pthubert=[email-masked]>, >>
[email-masked] <[email-masked]>, Eric Vyncke (evyncke) <[email-masked]>, >>
[email-masked] <[email-masked]>, [email-masked]
>><[email-masked]>, [email-masked]
>><[email-masked]>
>>
>>
>>Hello Dominique, (all,)
>>
>>I support your proposal below!
>>
>>In my opinion, it addresses nicely the comment being considered.
>>
>>Cheers,
>>
>>Carles
>>
>>
>>
>>
>>
>>
>>>From: <[email-masked]>
>>>Date: Tue, Jun 1, 2021 at 5:14 PM
>>>Subject: RE: [AD] Re: AUTH48 [LB]: RFC 8824
<draft-ietf-lpwan-coap->>>static-context-hc-19.txt> NOW AVAILABLE
>>>To: Pascal Thubert (pthubert) <pthubert=[email-masked]>, >>>
[email-masked] <[email-masked]>, Eric Vyncke (evyncke) <[email-masked]>
>>>Cc: [email-masked] <[email-masked]>, [email-masked]
>>><[email-masked]>, [email-masked]
>>><[email-masked]>
>>>
>>>
>>>Hello authors, all,
>>>
>>>Following our interim meeting today, here is my contribution to
>>>comment 3 by RFC Ed
>>>> 3) <!-- [rfced] Abstract and subsequent:  "SCHC compression",
>>>>where
>>>> used generally as a noun, looks odd.  We suggest rephrasing where
>>>>appropriate.
>>>>
> >>>We see that RFC 8724 defines "SCHC" as "Static Context Header
>>>> Compression and fragmentation".  Because this document defines
>>>>"SCHC"
>>>>as "Static Context Header Compression", "SCHC compression"
>>>>would then
>>>> read as "Static Context Header Compression compression".
>>>>
>>>> Should we expand "SCHC" as "Static Context Header
>>>>Compression and
>>>> fragmentation" per RFC 8724, instead of using the current "Static
>>>> Context Header Compression"?  That would solve the "Static
>>>>Context Header Compression compression" situation. -->
>>>
>>>This document should not redefine SCHC.
>>>Hence, I propose the following
>>>- Full title
>>>"Compression of the Constrained Application Protocol (CoAP) using >>>the
Static Context Header Compression and fragmentation (SCHC) >>>framework"
>>>- Abstract
>>>"This draft defines how to compress the Constrained Application
>>>Protocol (CoAP) using the Static Context Header Compression and
>>>fragmentation (SCHC) framework. SCHC defines a header >>>compression
mechanism tailored for Constrained Devices."
 >>>- Introduction, 2nd paragraph
>>>"[RFC8724] defines the SCHC famework, which includes a header
>>>compression mechanism for the LPWAN network, based on a static
>>>context."
>>>
>>>With the above changes, which are consistent with RFC8724 and are
>>>inline with the RFC Editors suggestion, "SCHC compression" no >>>longer
looks odd, and the 25 instances can remain unchanged.
>>>Best regards
>>>Dominique

---

From: <[email-masked]>
Date: Thu, 3 Jun 2021 09:44:36 +0000

Hello Ana,

Don’t be afraid to disagree ;-) , but let me argue anyway.

-          I buy your argument that compression at the beginning of my proposal is ambiguous, and I suppose “header compression” would too long. I can’t think of anything better at this point in time.

-          SCHC is a framework, sorry, it’s too late to disagree about this one. It’s written in the title of RFC8724 (https://www.rfc-editor.org/info/rfc8724)

Another point : my proposal had a lower case f, but an RFC title must have capitalized initials, so go for a F.
But in the abstract, please use lower case f like in RFC8724.
That was the outcome of our long discussion in Spring 2020 when we were in AUTH48 phase for 8724.

Best regards

Dominique

From: lp-wan [mailto:[email-masked]] On Behalf Of Ana Minaburo
Sent: jeudi 3 juin 2021 11:10
To: [email-masked]; [email-masked]; [email-masked]
Cc: Eric Vyncke (evyncke) <[email-masked]>; [email-masked]
Subject: [lp-wan] FWD: Draft SCHC for CoAP -Title

I take this discussion out from the RFC-Editor Subject, if not I will be lost again.

We agree to eliminate the term LPWAN from the title during the interim meeting, and I've answered the RFC-Editor with this option that I like:
Full-extended:
"Static Context Header Compression and Fragmentation (SCHC) for Constrained Application Protocol (CoAP)"
Full-abbreviated:
"SCHC for CoAP"

I'm afraid I have to disagree with Dominique's proposition in two things. First, starting with Compression, the title is ambiguous because it can be interpreted as data compression and no header compression. Second, I'm not sure SCHC is a framework, or neither it becomes one.

Dominique proposition: "Compression of the Constrained Application Protocol (CoAP) using the Static Context Header Compression and fragmentation (SCHC) framework"

Cheers,
Ana

---

>From: Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>>
>Subject: RE: [AD] Re: AUTH48 [LB]: RFC 8824 <draft-ietf-lpwan-coap-static->context-hc-19.txt> NOW AVAILABLE
>To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, >[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Eric Vyncke (evyncke) <[email-masked]<mailto:[email-masked]>>
>Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]>
><[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]>
><[email-masked]<mailto:[email-masked]>>
>
>
>Perfect!
>
>>From: Carles Gomez Montenegro <[email-masked]<mailto:[email-masked]>>
>>To: <[email-masked]<mailto:[email-masked]>>
>>Cc: Pascal Thubert (pthubert) <pthubert=[email-masked]<mailto:[email-masked]>>, >>[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Eric Vyncke (evyncke) <[email-masked]<mailto:[email-masked]>>, >>[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]>
>><[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]>
>><[email-masked]<mailto:[email-masked]>>
>>
>>
>>Hello Dominique, (all,)
>>
>>>From: <[email-masked]<mailto:[email-masked]>>
>>>Subject: RE: [AD] Re: AUTH48 [LB]: RFC 8824 <draft-ietf-lpwan-coap->>>static-context-hc-19.txt> NOW AVAILABLE
>>>To: Pascal Thubert (pthubert) <pthubert=[email-masked]<mailto:[email-masked]>>, >>>[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Eric Vyncke (evyncke) <[email-masked]<mailto:[email-masked]>>
>>>Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]>
>>><[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]>
>>><[email-masked]<mailto:[email-masked]>>
>>>
>>>
>>>Hello authors, all,
>>>
>>>"Compression of the Constrained Application Protocol (CoAP) using >>>the Static Context Header Compression and fragmentation (SCHC) >>>framework"
>>>- Abstract
>>>"This draft defines how to compress the Constrained Application >>>Protocol (CoAP) using the Static Context Header Compression and >>>fragmentation (SCHC) framework. SCHC defines a header >>>compression mechanism tailored for Constrained Devices."
>>>"[RFC8724] defines the SCHC famework, which includes a header >>>compression mechanism for the LPWAN network, based on a static >>>context."
>>>
>>>With the above changes, which are consistent with RFC8724 and are >>>inline with the RFC Editors suggestion, "SCHC compression" no >>>longer looks odd, and the 25 instances can remain unchanged.
>>>
>>>Best regards
>>>
>>>Dominique
>>>

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 3 Jun 2021 11:48:08 +0000

Hello Ana

I thought we agreed that we’d refer to SCHC as a framework to indicate it  includes compression and fragmentation.
This term framework is really weird. Seems everyone understands it in a different way. .. If someone has the official definition I’m interested!
Also, we now insist that we can compress the L7 if people want to. So why should we insist on “header”? That’s where it started but that’s not where we are now, it is?

Keep safe;

Pascal
From: lp-wan <[email-masked]> On Behalf Of Ana Minaburo

Cheers,
Ana

---

---

From: Laurent Toutain <[email-masked]>
Date: Thu, 10 Jun 2021 14:20:29 +0200

Hi,

I would not like to reopen a long debate; this is the only step before an
RFC and drink some beers.

I understand the RFC8724 got a long and subtile name with framework and
fragmentation on it since it reflects the reality. For 8824, it like "SCHC
for CoAP" with and without acronym expansion, it's simple and officialize
the fact that SCHC become a name and we will not continue to say some long
paraphrases.

Laurent

On Thu, Jun 3, 2021 at 1:50 PM Pascal Thubert (pthubert) <[email-masked]>
wrote:

> This term framework is really weird. Seems everyone understands it in a
> different way. .. If someone has the official definition I’m interested!
>
> Also, we now insist that we can compress the L7 if people want to. So why
> should we insist on “header”? That’s where it started but that’s not where
> we are now, it is?
>
>
>
> Keep safe;
>
>
>
> Pascal
>
> *From:* lp-wan <[email-masked]> *On Behalf Of *Ana Minaburo
> *Sent:* jeudi 3 juin 2021 11:10
> *To:* [email-masked]; [email-masked];
> [email-masked]
> *Cc:* Eric Vyncke (evyncke) <[email-masked]>; [email-masked]
> *Subject:* [lp-wan] FWD: Draft SCHC for CoAP -Title
>
>
>
> Dominique proposition: "Compression of the Constrained Application
> fragmentation (SCHC) framework"
>
>
>
> Cheers,
>
> Ana
>
>
>
> ---
>
>
>
> >From: *Pascal Thubert (pthubert)* <[email-masked]>
> >>From: *Carles Gomez Montenegro* <[email-masked]>
> >>>To: Pascal Thubert (pthubert) <pthubert=[email-masked]>,
> >>>"Compression of the Constrained Application Protocol (CoAP) using
> >>>the Static Context Header Compression and fragmentation (SCHC)
> >>>framework"
> >>>- Abstract

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 10 Jun 2021 12:39:33 +0000

Hello Laurent:

So on the table (with and without acronym expansion) we have

Laurent + Ana: “SCHC for CoAP”
Dominique+Carles+me: “Compression of CoAP using the SCHC framework”

I believe that discussing whether SCHC is a protocol or a framework is already behind us, with the title of RFC 8724 becoming the de-facto definition of what SCHC is.

Q: can the draft be used for fragmentation? If not it does not leverage the whole framework but just the compression. In my book that pleads for Dominique’s proposal.

I’ll have a “Coteau du Layon” if you do not mind, very cold. I can’t seem to  like beer however hard I try.

Take care;

Pascal

From: Laurent Toutain <[email-masked]>
Sent: jeudi 10 juin 2021 14:20
To: Pascal Thubert (pthubert) <[email-masked]>
Cc: Ana Minaburo <[email-masked]>; [email-masked]; [email-masked]; Eric Vyncke (evyncke) <[email-masked]>
Subject: Re: [lp-wan] FWD: Draft SCHC for CoAP -Title

Hi,

I would not like to reopen a long debate; this is the only step before an RFC and drink some beers.

I understand the RFC8724 got a long and subtile name with framework and fragmentation on it since it reflects the reality. For 8824, it like "SCHC for CoAP" with and without acronym expansion, it's simple and officialize the fact that SCHC become a name and we will not continue to say some long paraphrases.

Laurent

On Thu, Jun 3, 2021 at 1:50 PM Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>> wrote:
Hello Ana

Keep safe;

Pascal
From: lp-wan <[email-masked]<mailto:[email-masked]>> On Behalf Of Ana Minaburo
Sent: jeudi 3 juin 2021 11:10
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: Eric Vyncke (evyncke) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: [lp-wan] FWD: Draft SCHC for CoAP -Title

Cheers,
Ana

---

---

From: Laurent Toutain <[email-masked]>
Date: Thu, 10 Jun 2021 14:43:44 +0200

I don't like the use of framework in the title,

You will say "addition to OSPF" not "addition to OSPF routing protocol",
OSPF is becoming the global name.

Laurent

On Thu, Jun 10, 2021 at 2:39 PM Pascal Thubert (pthubert) <
[email-masked]> wrote:

> I believe that discussing whether SCHC is a protocol or a framework is
> already behind us, with the title of RFC 8724 becoming the de-facto
> definition of what SCHC is.
>
>
>
> Q: can the draft be used for fragmentation? If not it does not leverage
> the whole framework but just the compression. In my book that pleads for
> Dominique’s proposal.
>
>
>
> *From:* Laurent Toutain <[email-masked]>
> *Sent:* jeudi 10 juin 2021 14:20
> *To:* Pascal Thubert (pthubert) <[email-masked]>
> *Cc:* Ana Minaburo <[email-masked]>; [email-masked]; [email-masked];
> Eric Vyncke (evyncke) <[email-masked]>
> *Subject:* Re: [lp-wan] FWD: Draft SCHC for CoAP -Title
>
>
>
> Hi,
>
>
>
> On Thu, Jun 3, 2021 at 1:50 PM Pascal Thubert (pthubert) <
> [email-masked]> wrote:
>
> Hello Ana
>
>
>

---

From: AUDEBERT Vincent <[email-masked]>
Date: Thu, 10 Jun 2021 13:34:48 +0000

Hi Pascal, Laurent,

I would prefer to keep it short, like the Laurent + Ana proposal.

Regards

Vincent

De : lp-wan <[email-masked]> De la part de pthubert=[email-masked]
Envoyé : jeudi 10 juin 2021 14:40
À : Laurent Toutain <[email-masked]>
Cc : [email-masked]; Eric Vyncke (evyncke) <[email-masked]>; Ana Minaburo <[email-masked]>; [email-masked]
Objet : Re: [lp-wan] FWD: Draft SCHC for CoAP -Title

Hello Laurent:

Take care;

Pascal

From: Laurent Toutain <[email-masked]<mailto:[email-masked]>>
Sent: jeudi 10 juin 2021 14:20
To: Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>>
Cc: Ana Minaburo <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Eric Vyncke (evyncke) <[email-masked]<mailto:[email-masked]>>
Subject: Re: [lp-wan] FWD: Draft SCHC for CoAP -Title

Hi,

Laurent

Keep safe;

Pascal

Cheers,
Ana

---

>>>With the above changes, which are consistent with RFC8724 and are >>>inline with the RFC Editors suggestion, "SCHC compression" no >>>longer looks odd, and the 25 instances can remain unchanged.

Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.

Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.

Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
____________________________________________________

This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.

If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.

E-mail communication cannot be guaranteed to be timely secure, error or virus-free.

---

From: <[email-masked]>
Date: Thu, 10 Jun 2021 14:04:45 +0000

Hello all,

If I read the RFC Editor’s comments correctly, we are supposed to agree on

-          A full title

-          An abbreviated title (that is used in the footer of the subsequent pages)

I totally agree with “SCHC for CoAP” for the abbreviated title.

Dominique

From: lp-wan [mailto:[email-masked]] On Behalf Of Laurent Toutain
Sent: jeudi 10 juin 2021 14:44
To: Pascal Thubert (pthubert) <[email-masked]>
Cc: [email-masked]; Eric Vyncke (evyncke) <[email-masked]>; Ana Minaburo <[email-masked]>; [email-masked]
Subject: Re: [lp-wan] FWD: Draft SCHC for CoAP -Title

You will say "addition to OSPF" not "addition to OSPF routing protocol", OSPF is becoming the global name.

Laurent

On Thu, Jun 10, 2021 at 2:39 PM Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>> wrote:
Hello Laurent:

Take care;

Pascal

Hi,

Laurent

Keep safe;

Pascal

Cheers,
Ana

---

---

From: Juan Carlos Zuniga <[email-masked]>
Date: Thu, 10 Jun 2021 16:00:40 +0000

Hello all,

I hear both arguments and I think there could be a compromise.
How about:

Full:                                   SCHC compression for CoAP
Abbreviated:                   SCHC for CoAP

Best,

Juan Carlos

From: lp-wan <[email-masked]> On Behalf Of [email-masked]
Sent: June 10, 2021 10:05 AM
To: Laurent Toutain <[email-masked]>; Pascal Thubert (pthubert) <[email-masked]>
Cc: [email-masked]; Eric Vyncke (evyncke) <[email-masked]>; Ana Minaburo <[email-masked]>; [email-masked]
Subject: Re: [lp-wan] FWD: Draft SCHC for CoAP -Title

Hello all,

  *   A full title
  *   An abbreviated title (that is used in the footer of the subsequent pages)

Dominique

Cc: [email-masked]<mailto:[email-masked]>; Eric Vyncke (evyncke) <[email-masked]<mailto:[email-masked]>>; Ana Minaburo <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>

Laurent

Take care;

Pascal

Hi,

Laurent

Keep safe;

Pascal

Cheers,
Ana

---

Thank you.

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 10 Jun 2021 18:07:34 +0200

> Abbreviated:                   SCHC for CoAP

The RFC editor will insist on expanding abbreviations(*) in RFC titles.
(Sometimes you can get a compromise, as in 
RFC8930 On Forwarding 6LoWPAN Fragments over a Multi-Hop IPv6 Network.
That title doesn’t work if you expand 6LoWPAN.
But normally you have to.)

Note that the official expansion [1] of SCHC is

SCHC       - Static Context Header Compression (SCHC)

And the of CoAP is

CoAP       - Constrained Application Protocol (CoAP) 

So you are already done:

SCHC for CoAP
➔
Static Context Header Compression (SCHC) for the
Constrained Application Protocol (CoAP) 

Forget frameworks and fragmentation, irrelevant here.

(And the abbreviated title is exactly right.)

Grüße, Carsten

(*) Unless you are starred in [1]

[1]: https://www.rfc-editor.org/materials/abbrev.expansion.txt

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 11 Jun 2021 07:28:46 +0000

I like Carsten's proposal for the full title and the abbreviation suggested by Juan Carlos

Regards

-éric

-----Original Message-----
From: lp-wan <[email-masked]> on behalf of Carsten Bormann <[email-masked]>
Date: Thursday, 10 June 2021 at 18:07
To: Juan Carlos Zuniga <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Pascal Thubert <[email-masked]>, Laurent Toutain <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [lp-wan] Draft SCHC for CoAP -Title

    And the of CoAP is

    So you are already done:

    SCHC for CoAP
    ➔

    Grüße, Carsten

    _______________________________________________
    lp-wan mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/lp-wan

---

From: "S.V.R.Anand" <[email-masked]>
Date: Sat, 12 Jun 2021 10:18:18 +0530

Hello,

I feel full title is better. The abbreviated title is too terse and not
user friendly; almost bordering on being impolite. It is just my impression.

Regards
Anand

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 12 Jun 2021 07:42:13 +0200

> user friendly; almost bordering on being impolite. It is just my impression.

We need both; the abbreviated title is used for page headings and therefore needs to be short, but the main title is the one that will be seen in indexes etc.

Grüße, Carsten

---

From: S.V.R.Anand <[email-masked]>
Date: Sat, 12 Jun 2021 07:15:52 +0000

Yes, I agree 🙂

________________________________
From: lp-wan <[email-masked]> on behalf of Carsten Bormann <[email-masked]>
Sent: Saturday, June 12, 2021 11:12 AM
To: S.V.R.Anand <anandsvr=[email-masked]>
Cc: Pascal Thubert <[email-masked]>; [email-masked] <[email-masked]>; Laurent Toutain <[email-masked]>; Ana Minaburo <[email-masked]>; [email-masked] <[email-masked]>; Eric Vyncke (evyncke) <[email-masked]>; [email-masked] <[email-masked]>
Subject: Re: [lp-wan] Draft SCHC for CoAP -Title

External Email

On 12. Jun 2021, at 06:48, S.V.R.Anand <anandsvr=[email-masked]<mailto:anandsvr=[email-masked]>> wrote:

Grüße, Carsten

---

From: Ana Minaburo <[email-masked]>
Date: Tue, 15 Jun 2021 09:52:21 +0200

Hello friends!

Thank you for all your responses, so we have the following:

-Abbreviation Title -
7 votes   "SCHC for CoAP"

-Extended Title -

5 votes: "Static Context Header Compression (SCHC) for Constrained
Application Protocol (CoAP)"

2 votes: "SCHC compression for CoAP"

3 votes: "Compression of CoAP using the SCHC framework

Well, I think that we can give the last consensus today during the meeting
But for me the winners:

Abbreviated: "SCHC for CoAP"
Extended: "Static Context Header Compression (SCHC) for Constrained
Application Protocol (CoAP)"

Ana

On Sat, Jun 12, 2021 at 9:15 AM S.V.R.Anand <[email-masked]> wrote:

> Yes, I agree 🙂
>
>
> ------------------------------
> *From:* lp-wan <[email-masked]> on behalf of Carsten Bormann <
> [email-masked]>
> *Sent:* Saturday, June 12, 2021 11:12 AM
> *To:* S.V.R.Anand <anandsvr=[email-masked]>
> *Cc:* Pascal Thubert <[email-masked]>; [email-masked] <
> [email-masked]>; Laurent Toutain <
> [email-masked]>; Ana Minaburo <[email-masked]>;
> [email-masked] <[email-masked]>; Eric Vyncke (evyncke) <
> [email-masked]>; [email-masked] <[email-masked]>
> *Subject:* Re: [lp-wan] Draft SCHC for CoAP -Title
>
> External Email
>
> On 12. Jun 2021, at 06:48, S.V.R.Anand <
> anandsvr=[email-masked]> wrote:
>
>
>
> We need both; the abbreviated title is used for page headings and
> therefore needs to be short, but the main title is the one that will be
> seen in indexes etc.
>
> Grüße, Carsten
>
>

---

From: Juan Carlos Zuniga <[email-masked]>
Date: Tue, 15 Jun 2021 14:19:23 +0000

But for me the winners:

Abbreviated: "SCHC for CoAP"
Extended: "Static Context Header Compression (SCHC) for Constrained Application Protocol (CoAP)"

[JCZ] +1